//
//Sky
//

textures/ut4_ceres_beta1/ceressky
{
	q3map_lightimage env/ceressky/ceressky_lf.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 300
	//q3map_skylight 100 3

	skyparms env/ceressky/ceressky - -
}

//
//Fog
//

textures/ut4_ceres_beta1/ceresfogwhite
{
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap

	fogparms ( 1 1 1 ) 4096
}

//
//Glass
//

textures/ut4_ceres_beta1/slickglass
{
        qer_editorimage textures/effects/tinfx.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
        surfaceparm slick
        {
                map textures/effects/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

//
//Spawn
//

textures/ut4_ceres_beta1/metal1
{
    qer_editorimage textures/ut4_uranus_beta1/bmetal1.jpg
    surfaceparm nodamage
    {
        map textures/ut4_ceres_beta1/bmetal1.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ut4_ceres_beta1/bjumplamp5
{
	qer_editorimage textures/ut4_ceres_beta1/lamp5.jpg
	q3map_lightimage textures/ut4_ceres_beta1/lamp5_glow.jpg
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 1200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/lamp5.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_ceres_beta1/lamp5_glow.jpg
		blendfunc add
		rgbGen identity
	}
}


//
//Floor
//

textures/ut4_ceres_beta1/e8clangfloor
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangfloor.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangfloorslick
{
	qer_editorimage textures/ut4_ceres_beta1/e8clangfloor.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangfloor.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangfloor04warn
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangfloor04warn.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangfloor04warnslick
{
	qer_editorimage textures/ut4_ceres_beta1/e8clangfloor04warn.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangfloor04warn.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangwarnmix
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangwarnmix.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangwarnmixslick
{
	qer_editorimage textures/ut4_ceres_beta1/e8clangwarnmix.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangwarnmix.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangwarnmix_b
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangwarnmix_b.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangwarnmix_bslick
{
	qer_editorimage textures/ut4_ceres_beta1/e8clangwarnmix_b.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangwarnmix_b.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangwarnmix_c
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangwarnmix_c.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8clangwarnmix_cslick
{
	qer_editorimage textures/ut4_ceres_beta1/e8clangwarnmix_c.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8clangwarnmix_c.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8spawn01b
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8spawn01b.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8spawn01bslick
{
	qer_editorimage textures/ut4_ceres_beta1/e8spawn01b.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8spawn01b.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eXmetal_plate01c_d
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eXmetal_plate01c_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eXmetal_plate01c_dslick
{
	qer_editorimage textures/ut4_ceres_beta1/eXmetal_plate01c_d.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eXmetal_plate01c_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_trim_support_03_d
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_trim_support_03_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_trim_support_03_dslick
{
	qer_editorimage textures/ut4_ceres_beta1/eX_trim_support_03_d.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_trim_support_03_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_q2_01b_d
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_q2_01b_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_q2_01b_dslick
{
	qer_editorimage textures/ut4_ceres_beta1/eX_q2_01b_d.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_q2_01b_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8warning2
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8warning2.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8warning2
{
	qer_editorimage textures/ut4_ceres_beta1/e8warning2.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8warning2.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_deswall_01_d
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_deswall_01_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_deswall_01_dslick
{
	qer_editorimage textures/ut4_ceres_beta1/eX_deswall_01_d.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_deswall_01_d.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_deswall_01_d2
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_deswall_01_d2.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/eX_deswall_01_d2slick
{
	qer_editorimage textures/ut4_ceres_beta1/eX_deswall_01_d2.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/eX_deswall_01_d2.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8_btrim03
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8_btrim03.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8_btrim03slick
{
	qer_editorimage textures/ut4_ceres_beta1/e8_btrim03.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8_btrim03.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8_base1c
{
	surfaceparm nodamage
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8_base1c.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_ceres_beta1/e8_base1cslick
{
	qer_editorimage textures/ut4_ceres_beta1/e8_base1c.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/ut4_ceres_beta1/e8_base1c.jpg
		blendfunc filter
		rgbGen identity
	}
}






//
//Light
//




textures/ut4_ceres_beta1/pad
{
	qer_editorimage textures/ut4_ceres_beta1/sol8_pad1_blend.tga
	q3map_lightimage textures/ut4_ceres_beta1/sol8_pad1_blend.tga
	surfaceparm nonsolid
	//q3map_surfacelight 200
	{
		map textures/ut4_ceres_beta1/sol8_pad1_blend.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1.2 2 0.6 
	}
}




textures/ut4_ceres_beta1/e8_rlightb2
{
	qer_editorimage textures/ut4_ceres_beta1/e8_rlightb2.tga
	q3map_lightimage textures/ut4_ceres_beta1/e8_rlightb2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/ut4_ceres_beta1/e8_rlightb2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8_rlightb2.blend.tga
		blendfunc add
	}
}
textures/ut4_ceres_beta1/e8_rlightb
{
	qer_editorimage textures/ut4_ceres_beta1/e8_rlightb.tga
	q3map_lightimage textures/ut4_ceres_beta1/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/ut4_ceres_beta1/e8_rlightb.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8_rlightb.blend.tga
		blendfunc add
	}
}

textures/ut4_ceres_beta1/evil8_rlight
{
	qer_editorimage textures/ut4_ceres_beta1/e8_rlight.tga
	q3map_lightimage textures/ut4_ceres_beta1/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1800
	{
		map textures/ut4_ceres_beta1/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8_rlight.blend.tga
		blendfunc add
	}
}

textures/ut4_ceres_beta1/e8tinylight
{
	qer_editorimage textures/ut4_ceres_beta1/e8tinylight.tga
	q3map_lightimage textures/ut4_ceres_beta1/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_ceres_beta1/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/ut4_ceres_beta1/e8tinylightblue
{
	qer_editorimage textures/ut4_ceres_beta1/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_ceres_beta1/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/ut4_ceres_beta1/e8tmtllight
{
	qer_editorimage textures/ut4_ceres_beta1/e8tmtllight.tga
	q3map_lightimage textures/ut4_ceres_beta1/e8tmtllight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_ceres_beta1/e8tmtllight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8tmtllight.blend.tga
		blendfunc add
	}
}

textures/ut4_ceres_beta1/e8tmtllight2
{
	qer_editorimage textures/ut4_ceres_beta1/e8tmtllight2.tga
	q3map_lightimage textures/evil8_lights/e8tmtllight2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1800
	{
		map textures/ut4_ceres_beta1/e8tmtllight2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8tmtllight2.blend.tga
		blendfunc add
	}
}

textures/ut4_ceres_beta1/e8tmtllight2b
{
	qer_editorimage textures/ut4_ceres_beta1/e8tmtllight2b.tga
	q3map_lightimage textures/ut4_ceres_beta1/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_ceres_beta1/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/ut4_ceres_beta1/e8warn2steplight
{
	qer_editorimage textures/ut4_ceres_beta1/e8warn2steplight.tga
	q3map_lightimage textures/ut4_ceres_beta1/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_ceres_beta1/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_ceres_beta1/e8warn2steplight.blend.tga
		blendfunc add
	}
}
